2 u010424788 u010424788 于 2016.01.26 10:13 提问

android studio 安装完新建一个项目总是报这个错

图片说明

3个回答

leilba
leilba   Rxr 2016.01.26 10:36

看起来好像是gradle里面配置的v7版本和你的sdk里面的版本不一致
你可以试一下改一下该module下的gradle文件,将里面的compile 'com.android.support:appcompat-v7:20.+'改成你sdk里面有下载的v7版本,也可以看一下下面的方法:
http://jingyan.baidu.com/article/c74d600080c02a0f6a595d3d.html

yyh352091626
yyh352091626   2016.01.26 13:27

版本不对。在build.gradle文件里面,把appconpat的那一行删掉,然后步骤看图。图片说明

yyh352091626
yyh352091626   2016.01.26 13:27

版本不对。在build.gradle文件里面,把appconpat的那一行删掉,然后步骤看图。图片说明

yyh352091626
yyh352091626 重新添加进去。
2 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
安装androidstudio完成之后新建一个项目出错错误?
Failed to execute aapt 问大神这是什么错误?应该如何解决,网上只搜到一个这种情况 Execution failed for task ':app:processDebugResources'. > com.android.ide.common.process.ProcessException: Failed to execute aapt
Android Studio运行第一个项目老是报错?教你一次性安装、运行成功
早就想安装AS,体验下Google亲儿子IDE有什么优点,今天兴致勃勃从朋友那拷来安装包。 安装过程中需要访问google官方下载些东西,无奈被墙,只能按网上说的,修改gradle配置文件、或者拖着不点、多试几次,勉强安装成功。 新建个项目,哇塞,新建的项目里有带抽屉效果的,体验一下! 结果,点击运行后,各种报错,又是sdk版本不行,又是gradle构建出错,WTF,快疯了。 请教
AndroidStudio刚安装完新建项目之后就报错无法运行
因为google宣布将专注于AndroidStudio而不再支持eclipse,所以从现在起开始转到AndroidStudio,但是刚安装完新建了一个项目想测试一下运行效果的,结果项目报错无法运行。百度了一下发现出现这个错误的人挺多的。错误代码如下:Gradle sync failed: Plugin is too old, please update to a more recent versio
AndroidStudio 安装后报错解决办法
android studio每次启动都要在fetching Android sdk compoment information 1)进入刚安装的Android Studio目录下的bin目录。找到idea.properties文件,用文本编辑器打开。 2)在idea.properties文件末尾添加一行: disable.android.first.run=true ,然后保存文件。 3
android Studio 2.2编译项目报空指针异常
原本在android studio 2.0 上运行的项目,在android studio 2.2上 报空指针异常错误Error:Execution failed for task ':mainActivity:transformNative_libsWithStripDebugSymbolForDebug'. > java.lang.NullPointerException (no error me
Android Studio中,新建项目出现依赖问题
由于公司网络都是内部服务器代理,然后访问网络,导致SDK有些依赖不能下载,所以新建项目出现如下问题: Error:(24, 13) Failed to resolve: com.android.support:appcompat-v7:24.+ Error:(23, 17) Failed to resolve: junit:junit:4.12 这两个依赖作用分别是: support:ap
Android studio新建项目之后由于gradle配置问题导致项目无法运行的个人解决方案分享
本文主要针对本人自己新建Android Stuido项目的时候遇到的问题的一个经验总结 说明:IDE为 Android studio 2.1 Preview 1    Windows 8系统 现象描述:一路默认设置来创建一个新项目之后,项目无法运行。新建项目的Gradle Scripts 目录下 build.gradle (project) 如下: // Top-level build fi
Android Studio第一次创建项目报错或导入项目报错
在用Android Studio开发项目的时候,运用的是gradle架构。 特别是针对初学者或刚开始使用Android Studio的时候,不知道怎么解决。当第一次创建Android Studio项目的时候如果发生创建项目报错,如图: 解决方法: 方法一:Android Studio联网下载解决 第一步:找到该项目中gradle包中的如图中的文件并打开编辑界面.
Android Studio 新建项目报Failed to resolve: com.android.support:appcompat-v7:27.+
新建的项目报Failed to resolve: com.android.support:appcompat-v7:27.+ 通过查询网路资料解决办法 apply plugin: 'com.android.application' android { compileSdkVersion 23 //SDK版本要修改为本地已经下载的 buildToolsVer
关于Android studio新建项目找不到R文件
刚安装好AS的时候,照着书上写了个Android程序,虚拟机上运行不起来但是程序没有错。 于是我去试试第二个程序,然后创建之后出现这种情况: generated/source目录下也没有R文件(这张图是有R文件的,错误的项目手抖删除了) 然后肯定就是上网查解决办法,讲道理,十篇有八篇都是一样的,什么修改Build Tool的,Clean Projects一下的,双击shift搜索R文